package main

/*
	this parses the command line arguements

	this enables command line options from other packages like 'gui' and 'log'
*/

import (
	"go.wit.com/dev/alexflint/arg"
	"go.wit.com/lib/debugger"
	"go.wit.com/log"
)

	// GadgetDisplay    string `arg:"env:DISPLAY"`
	// GadgetTmpLog     bool   `arg:"--tmp-log" help:"automatically send STDOUT to /tmp"`
	// GadgetVerboseDNS bool   `arg:"--verbose" help:"debug your dns settings"`
var args struct {
}

var NOW *log.LogFlag

func init() {
	arg.MustParse(&args)
	full := "go.wit.com/control-panels/dns"
	short := "cpdns"

	NOW = log.NewFlag("NOW", true, full, short, "temp debugging stuff")

	if debugger.ArgDebug() {
		log.Log(NOW, "INIT() gui debug == true")
	} else {
		log.Log(NOW, "INIT() gui debug == false")
	}
}
